import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Observable } from 'rxjs';
import { ProfilePaginated } from '@app/domain/profiles/profile.model';
import { SearchFilters } from '@app/domain/search/search-filters';

export class ListProfilesUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(params?: SearchFilters): Observable<ProfilePaginated> {
    return this.repo.list(params);
  }
}
